/*
 * Copyright (C) 2016 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.example.android.vinylfinder;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;

import java.util.List;

/**
 * Define qual fragmento será chamado, conforme aba clicada
 */
public class SimpleFragmentPagerAdapter extends android.support.v4.app.FragmentPagerAdapter {

    //private List<Fragment> mFragments;

    public SimpleFragmentPagerAdapter(FragmentManager fm, List<Fragment> fragments) {
        super(fm);
        //mFragments = fragments;
    }

    @Override
    public Fragment getItem(int position) {
        if (position == 0) {
            return new EstatisticasFragment();
        } else if (position == 1) {
            return new ResultadosFragment();
        } else {
            return new DeletadosFragment();
        }
    }

    public int getCount() {
        return 3;
    }

}
